org.h2.command

## Interface CommandInterface

All Known Implementing Classes:
  Command, CommandContainer, CommandRemote

    public interface CommandInterface

Represents a SQL statement.

### Field Summary

Fields
`static int` `ALTER_INDEX_RENAME` The type of a ALTER INDEX RENAME statement.
`static int` `ALTER_SCHEMA_RENAME` The type of a ALTER SCHEMA RENAME statement.
`static int` `ALTER_SEQUENCE` The type of a ALTER SEQUENCE statement.
`static int` `ALTER_TABLE_ADD_COLUMN` The type of a ALTER TABLE ADD statement.
`static int` `ALTER_TABLE_ADD_CONSTRAINT_CHECK` The type of a ALTER TABLE ADD CHECK statement.
`static int` `ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY` The type of a ALTER TABLE ADD PRIMARY KEY statement.
`static int` `ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL` The type of a ALTER TABLE ADD FOREIGN KEY statement.
`static int` `ALTER_TABLE_ADD_CONSTRAINT_UNIQUE` The type of a ALTER TABLE ADD UNIQUE statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE` The type of an ALTER TABLE ALTER COLUMN statement that changes the column data type.
`static int` `ALTER_TABLE_ALTER_COLUMN_DEFAULT` The type of a ALTER TABLE ALTER COLUMN SET DEFAULT statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_NOT_NULL` The type of a ALTER TABLE ALTER COLUMN SET NOT NULL statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_NULL` The type of a ALTER TABLE ALTER COLUMN SET NULL statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_RENAME` The type of a ALTER TABLE ALTER COLUMN RENAME statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_SELECTIVITY` The type of a ALTER TABLE ALTER COLUMN SELECTIVITY statement.
`static int` `ALTER_TABLE_ALTER_COLUMN_VISIBILITY` The type of a ALTER TABLE ALTER COLUMN SET INVISIBLE statement.
`static int` `ALTER_TABLE_DROP_COLUMN` The type of a ALTER TABLE DROP COLUMN statement.
`static int` `ALTER_TABLE_DROP_CONSTRAINT` The type of a ALTER TABLE DROP CONSTRAINT statement.
`static int` `ALTER_TABLE_RENAME` The type of a ALTER TABLE RENAME statement.
`static int` `ALTER_TABLE_RENAME_CONSTRAINT` The type of a ALTER TABLE RENAME CONSTRAINT statement.
`static int` `ALTER_TABLE_SET_REFERENTIAL_INTEGRITY` The type of a ALTER TABLE SET REFERENTIAL_INTEGRITY statement.
`static int` `ALTER_USER_ADMIN` The type of a ALTER USER ADMIN statement.
`static int` `ALTER_USER_RENAME` The type of a ALTER USER RENAME statement.
`static int` `ALTER_USER_SET_PASSWORD` The type of a ALTER USER SET PASSWORD statement.
`static int` `ALTER_VIEW` The type of a ALTER VIEW statement.
`static int` `ANALYZE` The type of a ANALYZE statement.
`static int` `BACKUP` The type of a BACKUP statement.
`static int` `BEGIN` The type of a BEGIN {WORK|TRANSACTION} statement.
`static int` `CALL` The type of a CALL statement.
`static int` `CHECKPOINT` The type of a CHECKPOINT statement.
`static int` `CHECKPOINT_SYNC` The type of a CHECKPOINT SYNC statement.
`static int` `COMMENT` The type of a COMMENT statement.
`static int` `COMMIT` The type of a COMMIT statement.
`static int` `COMMIT_TRANSACTION` The type of a COMMIT TRANSACTION statement.
`static int` `CREATE_AGGREGATE` The type of a CREATE AGGREGATE statement.
`static int` `CREATE_ALIAS` The type of a CREATE ALIAS statement.
`static int` `CREATE_CONSTANT` The type of a CREATE CONSTANT statement.
`static int` `CREATE_DOMAIN` The type of a CREATE DOMAIN statement.
`static int` `CREATE_INDEX` The type of a CREATE INDEX statement.
`static int` `CREATE_LINKED_TABLE` The type of a CREATE LINKED TABLE statement.
`static int` `CREATE_ROLE` The type of a CREATE ROLE statement.
`static int` `CREATE_SCHEMA` The type of a CREATE SCHEMA statement.
`static int` `CREATE_SEQUENCE` The type of a CREATE SEQUENCE statement.
`static int` `CREATE_TABLE` The type of a CREATE TABLE statement.
`static int` `CREATE_TRIGGER` The type of a CREATE TRIGGER statement.
`static int` `CREATE_USER` The type of a CREATE USER statement.
`static int` `CREATE_VIEW` The type of a CREATE VIEW statement.
`static int` `DEALLOCATE` The type of a DEALLOCATE statement.
`static int` `DELETE` The type of a DELETE statement.
`static int` `DROP_AGGREGATE` The type of a DROP AGGREGATE statement.
`static int` `DROP_ALIAS` The type of a DROP ALIAS statement.
`static int` `DROP_ALL_OBJECTS` The type of a DROP ALL OBJECTS statement.
`static int` `DROP_CONSTANT` The type of a DROP CONSTANT statement.
`static int` `DROP_DOMAIN` The type of a DROP DOMAIN statement.
`static int` `DROP_INDEX` The type of a DROP INDEX statement.
`static int` `DROP_ROLE` The type of a DROP ROLE statement.
`static int` `DROP_SCHEMA` The type of a DROP SCHEMA statement.
`static int` `DROP_SEQUENCE` The type of a DROP SEQUENCE statement.
`static int` `DROP_TABLE` The type of a DROP TABLE statement.
`static int` `DROP_TRIGGER` The type of a DROP TRIGGER statement.
`static int` `DROP_USER` The type of a DROP USER statement.
`static int` `DROP_VIEW` The type of a DROP VIEW statement.
`static int` `EXECUTE` The type of a EXECUTE statement.
`static int` `EXPLAIN` The type of a EXPLAIN statement.
`static int` `EXPLAIN_ANALYZE` The type of a EXPLAIN ANALYZE statement.
`static int` `GRANT` The type of a GRANT statement.
`static int` `INSERT` The type of a INSERT statement.
`static int` `MERGE` The type of a MERGE statement.
`static int` `NO_OPERATION` The type of a no operation statement.
`static int` `PREPARE` The type of a PREPARE statement.
`static int` `PREPARE_COMMIT` The type of a PREPARE COMMIT statement.
`static int` `REPLACE` The type of a REPLACE statement.
`static int` `REVOKE` The type of a REVOKE statement.
`static int` `ROLLBACK` The type of a ROLLBACK statement.
`static int` `ROLLBACK_TO_SAVEPOINT` The type of a ROLLBACK TO SAVEPOINT statement.
`static int` `ROLLBACK_TRANSACTION` The type of a ROLLBACK TRANSACTION statement.
`static int` `RUNSCRIPT` The type of a RUNSCRIPT statement.
`static int` `SAVEPOINT` The type of a SAVEPOINT statement.
`static int` `SCRIPT` The type of a SCRIPT statement.
`static int` `SELECT` The type of a SELECT statement.
`static int` `SET` The type of a SET statement.
`static int` `SET_AUTOCOMMIT_FALSE` The type of a SET AUTOCOMMIT statement.
`static int` `SET_AUTOCOMMIT_TRUE` The type of a SET AUTOCOMMIT statement.
`static int` `SHUTDOWN` The type of a SHUTDOWN statement.
`static int` `SHUTDOWN_COMPACT` The type of a SHUTDOWN COMPACT statement.
`static int` `SHUTDOWN_DEFRAG` The type of a SHUTDOWN DEFRAG statement.
`static int` `SHUTDOWN_IMMEDIATELY` The type of a SHUTDOWN IMMEDIATELY statement.
`static int` `TRUNCATE_TABLE` The type of a TRUNCATE TABLE statement.
`static int` `UNKNOWN` The type for unknown statement.
`static int` `UPDATE` The type of a UPDATE statement.

### Method Summary

Methods
`void` `cancel()` Cancel the statement if it is still processing.
`void` `close()` Close the statement.
`ResultInterface` `executeQuery(int maxRows, boolean scrollable)` Execute the query.
`int` `executeUpdate()` Execute the statement
`int` `getCommandType()` Get command type.
`ResultInterface` `getMetaData()` Get an empty result set containing the meta data of the result.
`java.util.ArrayList<? extends ParameterInterface>` `getParameters()` Get the parameters (if any).
`boolean` `isQuery()` Check if this is a query.
`void` `stop()` Stop the command execution, release all locks and resources

### Field Detail

#### UNKNOWN

    static final int UNKNOWN

The type for unknown statement.

See Also:
  Constant Field Values

#### ALTER_INDEX_RENAME

    static final int ALTER_INDEX_RENAME

The type of a ALTER INDEX RENAME statement.

See Also:
  Constant Field Values

#### ALTER_SCHEMA_RENAME

    static final int ALTER_SCHEMA_RENAME

The type of a ALTER SCHEMA RENAME statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ADD_CONSTRAINT_CHECK

    static final int ALTER_TABLE_ADD_CONSTRAINT_CHECK

The type of a ALTER TABLE ADD CHECK statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ADD_CONSTRAINT_UNIQUE

    static final int ALTER_TABLE_ADD_CONSTRAINT_UNIQUE

The type of a ALTER TABLE ADD UNIQUE statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL

    static final int ALTER_TABLE_ADD_CONSTRAINT_REFERENTIAL

The type of a ALTER TABLE ADD FOREIGN KEY statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY

    static final int ALTER_TABLE_ADD_CONSTRAINT_PRIMARY_KEY

The type of a ALTER TABLE ADD PRIMARY KEY statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ADD_COLUMN

    static final int ALTER_TABLE_ADD_COLUMN

The type of a ALTER TABLE ADD statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_NOT_NULL

    static final int ALTER_TABLE_ALTER_COLUMN_NOT_NULL

The type of a ALTER TABLE ALTER COLUMN SET NOT NULL statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_NULL

    static final int ALTER_TABLE_ALTER_COLUMN_NULL

The type of a ALTER TABLE ALTER COLUMN SET NULL statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_DEFAULT

    static final int ALTER_TABLE_ALTER_COLUMN_DEFAULT

The type of a ALTER TABLE ALTER COLUMN SET DEFAULT statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE

    static final int ALTER_TABLE_ALTER_COLUMN_CHANGE_TYPE

The type of an ALTER TABLE ALTER COLUMN statement that changes the column data type.

See Also:
  Constant Field Values

#### ALTER_TABLE_DROP_COLUMN

    static final int ALTER_TABLE_DROP_COLUMN

The type of a ALTER TABLE DROP COLUMN statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_SELECTIVITY

    static final int ALTER_TABLE_ALTER_COLUMN_SELECTIVITY

The type of a ALTER TABLE ALTER COLUMN SELECTIVITY statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_DROP_CONSTRAINT

    static final int ALTER_TABLE_DROP_CONSTRAINT

The type of a ALTER TABLE DROP CONSTRAINT statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_RENAME

    static final int ALTER_TABLE_RENAME

The type of a ALTER TABLE RENAME statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_RENAME

    static final int ALTER_TABLE_ALTER_COLUMN_RENAME

The type of a ALTER TABLE ALTER COLUMN RENAME statement.

See Also:
  Constant Field Values

#### ALTER_USER_ADMIN

    static final int ALTER_USER_ADMIN

The type of a ALTER USER ADMIN statement.

See Also:
  Constant Field Values

#### ALTER_USER_RENAME

    static final int ALTER_USER_RENAME

The type of a ALTER USER RENAME statement.

See Also:
  Constant Field Values

#### ALTER_USER_SET_PASSWORD

    static final int ALTER_USER_SET_PASSWORD

The type of a ALTER USER SET PASSWORD statement.

See Also:
  Constant Field Values

#### ALTER_VIEW

    static final int ALTER_VIEW

The type of a ALTER VIEW statement.

See Also:
  Constant Field Values

#### ANALYZE

    static final int ANALYZE

The type of a ANALYZE statement.

See Also:
  Constant Field Values

#### CREATE_AGGREGATE

    static final int CREATE_AGGREGATE

The type of a CREATE AGGREGATE statement.

See Also:
  Constant Field Values

#### CREATE_CONSTANT

    static final int CREATE_CONSTANT

The type of a CREATE CONSTANT statement.

See Also:
  Constant Field Values

#### CREATE_ALIAS

    static final int CREATE_ALIAS

The type of a CREATE ALIAS statement.

See Also:
  Constant Field Values

#### CREATE_INDEX

    static final int CREATE_INDEX

The type of a CREATE INDEX statement.

See Also:
  Constant Field Values

#### CREATE_LINKED_TABLE

    static final int CREATE_LINKED_TABLE

The type of a CREATE LINKED TABLE statement.

See Also:
  Constant Field Values

#### CREATE_ROLE

    static final int CREATE_ROLE

The type of a CREATE ROLE statement.

See Also:
  Constant Field Values

#### CREATE_SCHEMA

    static final int CREATE_SCHEMA

The type of a CREATE SCHEMA statement.

See Also:
  Constant Field Values

#### CREATE_SEQUENCE

    static final int CREATE_SEQUENCE

The type of a CREATE SEQUENCE statement.

See Also:
  Constant Field Values

#### CREATE_TABLE

    static final int CREATE_TABLE

The type of a CREATE TABLE statement.

See Also:
  Constant Field Values

#### CREATE_TRIGGER

    static final int CREATE_TRIGGER

The type of a CREATE TRIGGER statement.

See Also:
  Constant Field Values

#### CREATE_USER

    static final int CREATE_USER

The type of a CREATE USER statement.

See Also:
  Constant Field Values

#### CREATE_DOMAIN

    static final int CREATE_DOMAIN

The type of a CREATE DOMAIN statement.

See Also:
  Constant Field Values

#### CREATE_VIEW

    static final int CREATE_VIEW

The type of a CREATE VIEW statement.

See Also:
  Constant Field Values

#### DEALLOCATE

    static final int DEALLOCATE

The type of a DEALLOCATE statement.

See Also:
  Constant Field Values

#### DROP_AGGREGATE

    static final int DROP_AGGREGATE

The type of a DROP AGGREGATE statement.

See Also:
  Constant Field Values

#### DROP_CONSTANT

    static final int DROP_CONSTANT

The type of a DROP CONSTANT statement.

See Also:
  Constant Field Values

#### DROP_ALL_OBJECTS

    static final int DROP_ALL_OBJECTS

The type of a DROP ALL OBJECTS statement.

See Also:
  Constant Field Values

#### DROP_ALIAS

    static final int DROP_ALIAS

The type of a DROP ALIAS statement.

See Also:
  Constant Field Values

#### DROP_INDEX

    static final int DROP_INDEX

The type of a DROP INDEX statement.

See Also:
  Constant Field Values

#### DROP_ROLE

    static final int DROP_ROLE

The type of a DROP ROLE statement.

See Also:
  Constant Field Values

#### DROP_SCHEMA

    static final int DROP_SCHEMA

The type of a DROP SCHEMA statement.

See Also:
  Constant Field Values

#### DROP_SEQUENCE

    static final int DROP_SEQUENCE

The type of a DROP SEQUENCE statement.

See Also:
  Constant Field Values

#### DROP_TABLE

    static final int DROP_TABLE

The type of a DROP TABLE statement.

See Also:
  Constant Field Values

#### DROP_TRIGGER

    static final int DROP_TRIGGER

The type of a DROP TRIGGER statement.

See Also:
  Constant Field Values

#### DROP_USER

    static final int DROP_USER

The type of a DROP USER statement.

See Also:
  Constant Field Values

#### DROP_DOMAIN

    static final int DROP_DOMAIN

The type of a DROP DOMAIN statement.

See Also:
  Constant Field Values

#### DROP_VIEW

    static final int DROP_VIEW

The type of a DROP VIEW statement.

See Also:
  Constant Field Values

#### GRANT

    static final int GRANT

The type of a GRANT statement.

See Also:
  Constant Field Values

#### REVOKE

    static final int REVOKE

The type of a REVOKE statement.

See Also:
  Constant Field Values

#### PREPARE

    static final int PREPARE

The type of a PREPARE statement.

See Also:
  Constant Field Values

#### COMMENT

    static final int COMMENT

The type of a COMMENT statement.

See Also:
  Constant Field Values

#### TRUNCATE_TABLE

    static final int TRUNCATE_TABLE

The type of a TRUNCATE TABLE statement.

See Also:
  Constant Field Values

#### ALTER_SEQUENCE

    static final int ALTER_SEQUENCE

The type of a ALTER SEQUENCE statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_SET_REFERENTIAL_INTEGRITY

    static final int ALTER_TABLE_SET_REFERENTIAL_INTEGRITY

The type of a ALTER TABLE SET REFERENTIAL_INTEGRITY statement.

See Also:
  Constant Field Values

#### BACKUP

    static final int BACKUP

The type of a BACKUP statement.

See Also:
  Constant Field Values

#### CALL

    static final int CALL

The type of a CALL statement.

See Also:
  Constant Field Values

#### DELETE

    static final int DELETE

The type of a DELETE statement.

See Also:
  Constant Field Values

#### EXECUTE

    static final int EXECUTE

The type of a EXECUTE statement.

See Also:
  Constant Field Values

#### EXPLAIN

    static final int EXPLAIN

The type of a EXPLAIN statement.

See Also:
  Constant Field Values

#### INSERT

    static final int INSERT

The type of a INSERT statement.

See Also:
  Constant Field Values

#### MERGE

    static final int MERGE

The type of a MERGE statement.

See Also:
  Constant Field Values

#### REPLACE

    static final int REPLACE

The type of a REPLACE statement.

See Also:
  Constant Field Values

#### NO_OPERATION

    static final int NO_OPERATION

The type of a no operation statement.

See Also:
  Constant Field Values

#### RUNSCRIPT

    static final int RUNSCRIPT

The type of a RUNSCRIPT statement.

See Also:
  Constant Field Values

#### SCRIPT

    static final int SCRIPT

The type of a SCRIPT statement.

See Also:
  Constant Field Values

#### SELECT

    static final int SELECT

The type of a SELECT statement.

See Also:
  Constant Field Values

#### SET

    static final int SET

The type of a SET statement.

See Also:
  Constant Field Values

#### UPDATE

    static final int UPDATE

The type of a UPDATE statement.

See Also:
  Constant Field Values

#### SET_AUTOCOMMIT_TRUE

    static final int SET_AUTOCOMMIT_TRUE

The type of a SET AUTOCOMMIT statement.

See Also:
  Constant Field Values

#### SET_AUTOCOMMIT_FALSE

    static final int SET_AUTOCOMMIT_FALSE

The type of a SET AUTOCOMMIT statement.

See Also:
  Constant Field Values

#### COMMIT

    static final int COMMIT

The type of a COMMIT statement.

See Also:
  Constant Field Values

#### ROLLBACK

    static final int ROLLBACK

The type of a ROLLBACK statement.

See Also:
  Constant Field Values

#### CHECKPOINT

    static final int CHECKPOINT

The type of a CHECKPOINT statement.

See Also:
  Constant Field Values

#### SAVEPOINT

    static final int SAVEPOINT

The type of a SAVEPOINT statement.

See Also:
  Constant Field Values

#### ROLLBACK_TO_SAVEPOINT

    static final int ROLLBACK_TO_SAVEPOINT

The type of a ROLLBACK TO SAVEPOINT statement.

See Also:
  Constant Field Values

#### CHECKPOINT_SYNC

    static final int CHECKPOINT_SYNC

The type of a CHECKPOINT SYNC statement.

See Also:
  Constant Field Values

#### PREPARE_COMMIT

    static final int PREPARE_COMMIT

The type of a PREPARE COMMIT statement.

See Also:
  Constant Field Values

#### COMMIT_TRANSACTION

    static final int COMMIT_TRANSACTION

The type of a COMMIT TRANSACTION statement.

See Also:
  Constant Field Values

#### ROLLBACK_TRANSACTION

    static final int ROLLBACK_TRANSACTION

The type of a ROLLBACK TRANSACTION statement.

See Also:
  Constant Field Values

#### SHUTDOWN

    static final int SHUTDOWN

The type of a SHUTDOWN statement.

See Also:
  Constant Field Values

#### SHUTDOWN_IMMEDIATELY

    static final int SHUTDOWN_IMMEDIATELY

The type of a SHUTDOWN IMMEDIATELY statement.

See Also:
  Constant Field Values

#### SHUTDOWN_COMPACT

    static final int SHUTDOWN_COMPACT

The type of a SHUTDOWN COMPACT statement.

See Also:
  Constant Field Values

#### BEGIN

    static final int BEGIN

The type of a BEGIN {WORK|TRANSACTION} statement.

See Also:
  Constant Field Values

#### SHUTDOWN_DEFRAG

    static final int SHUTDOWN_DEFRAG

The type of a SHUTDOWN DEFRAG statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_RENAME_CONSTRAINT

    static final int ALTER_TABLE_RENAME_CONSTRAINT

The type of a ALTER TABLE RENAME CONSTRAINT statement.

See Also:
  Constant Field Values

#### EXPLAIN_ANALYZE

    static final int EXPLAIN_ANALYZE

The type of a EXPLAIN ANALYZE statement.

See Also:
  Constant Field Values

#### ALTER_TABLE_ALTER_COLUMN_VISIBILITY

    static final int ALTER_TABLE_ALTER_COLUMN_VISIBILITY

The type of a ALTER TABLE ALTER COLUMN SET INVISIBLE statement.

See Also:
  Constant Field Values

### Method Detail

#### getCommandType

    int getCommandType()

Get command type.

Returns:
  one of the constants above

#### isQuery

    boolean isQuery()

Check if this is a query.

Returns:
  true if it is a query

#### getParameters

    java.util.ArrayList<? extends ParameterInterface> getParameters()

Get the parameters (if any).

Returns:
  the parameters

#### executeQuery

    ResultInterface executeQuery(int maxRows,
                               boolean scrollable)

Execute the query.

Parameters:
  `maxRows` - the maximum number of rows returned
  `scrollable` - if the result set must be scrollable
Returns:
  the result

#### executeUpdate

    int executeUpdate()

Execute the statement

Returns:
  the update count

#### stop

    void stop()

Stop the command execution, release all locks and resources

#### close

    void close()

Close the statement.

#### cancel

    void cancel()

Cancel the statement if it is still processing.

#### getMetaData

    ResultInterface getMetaData()

Get an empty result set containing the meta data of the result.

Returns:
  the empty result